using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;



namespace djf
{
    class Program
    {



        static void Main(string[] args)
        {
            List<ulong> l = new List<ulong>();
            List<ulong> l1 = new List<ulong>();
            List<bool> l2 = new List<bool>();
            ulong x= Convert.ToUInt64(Console.ReadLine());
            ulong y= Convert.ToUInt64(Console.ReadLine());
           ulong broj=0;
            ulong d = 1;
         
            while (x > 0)
            {
                l.Add(x % 10);
                x /= 10;
            }
            while (y > 0)
            {
                l1.Add(y % 10);
                y /= 10;
            }
        

            if (l1.Count != l.Count)
            {
                if (l.Count > l1.Count)
                {
                    for(int i = 0; i < l1.Count; i++)
                    {
                        l2.Insert(i, false);
                       

                    }
                    for (int i = l1.Count; i < l.Count; i++)
                    {
                        l2.Insert(i, true);
                        l1.Add(0);
                    }

                }
                else
                {
                    for (int i = 0; i < l.Count; i++)
                    {
                        l2.Insert(i, false);


                    }
                    for (int i = l.Count; i < l1.Count; i++)
                    {
                        l2.Insert(i, true);
                        l.Add( 0);
                    }
                }

            }
            l.Reverse();
            l1.Reverse();

            for (int i = l1.Count-1; i >= 0; i--)
                {
                if (l[i] > l1[i])
                {
                    ulong p = l[i] * d;
                    broj += p;
                    d *= 10;
                }
                else if (l1[i]>l[i])
                    {
                        ulong p = l1[i] * d;
                        broj += p;
                        d *= 10;
                    }
                else
                {
                    if (l1[i] == 0)
                    {
                        if (l2[i] == true)
                        {
                            ulong p1 = l1[i] * d;
                            broj += p1;
                            d *= 10;
                        }
                    }
                    else if (l[i] == 0)
                    {
                        if (l2[i] == true)
                        {
                            ulong p1 = l1[i] * d;
                            broj += p1;
                            d *= 10;
                        }
                    }
                    else
                    {
                        ulong p = l1[i] * d;
                        d *= 10;
                        ulong q = l1[i] * d;
                        broj += q;
                        broj += p;
                        d *= 10;
                    }
                }
                }
            
            Console.WriteLine(broj);

            Console.ReadKey();

        }
    }
}